Page MenuHomePhabricator

FlaggedRevs for Portuguese Wikipedia
Closed, ResolvedPublic

Description

We decided to install FlaggedRevs in pt.wiki using a configuration similar to en.wiki, using protection mode, but without 'reviewer' group and giving the review right to autoreviewer, rollbaker, eliminator, bureaucrat and sysop.

Configuration: https://pt.wikipedia.org/wiki/Usu%C3%A1rio:Danilo.mac/FlaggedRevs

Consensus: https://pt.wikipedia.org/wiki/Wikip%C3%A9dia:Esplanada/propostas/Valida%C3%A7%C3%A3o_de_p%C3%A1ginas_%286set2013%29 (we have also discussed it in other pages linked at the top of this page)

Thank you


Version: wmf-deployment
Severity: enhancement
URL: https://pt.wikipedia.org/wiki/Wikip%C3%A9dia:Esplanada/propostas/Valida%C3%A7%C3%A3o_de_p%C3%A1ginas_%286set2013%29

Details

Reference
bz54828

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 22 2014, 2:30 AM
bzimport set Reference to bz54828.
Danilo created this task.Oct 1 2013, 3:12 PM

I'll try to submit a patch in the morning (2013-10-10).

Change 89001 had a related patch set uploaded by Odder:
(bug 54828) Enable FlaggedRevs for Portuguese Wikipedia

https://gerrit.wikimedia.org/r/89001

CC'ing Sam so he can run his Magic Maintenance Script (MMS) and make us all happy.

Change 89001 merged by jenkins-bot:
(bug 54828) Enable FlaggedRevs for Portuguese Wikipedia

https://gerrit.wikimedia.org/r/89001

Teles added a comment.Oct 11 2013, 8:26 PM

Maybe it is unrelated but after this was changed, a few rights (i.e. sysop, deleter, bureaucrat, interface editor) are not appearing here anymore: https://pt.wikipedia.org/wiki/Especial:UserRights

I can not see the revisions when they are not accepted, and I see now that the reviewer group, in wikis that have this group, have review and validate rights, but in the first configuration I set only review right to true, I think that is the cause.

Please set the validate right to true to all groups that have review right. The fixed configuration is in https://pt.wikipedia.org/wiki/Usu%C3%A1rio:Danilo.mac/FlaggedRevs.

Thank you

(In reply to comment #7)
This bug 54828 is already resolved as "FIXED", so it is better to request further enhancements to the current configuration in separate bugs.

(In reply to comment #8)

This bug 54828 is already resolved as "FIXED", so it is better to request
further enhancements to the current configuration in separate bugs.

Doesn't really matter, I'll consider the bug truly fixed once things work for you the way you intended them to. I'll submit a commit with the requested changes in a moment.

Change 90893 had a related patch set uploaded by Odder:
(bug 54828) Configure FlaggedRevs for ptwiki (take 3)

https://gerrit.wikimedia.org/r/90893

Change 90893 merged by jenkins-bot:
(bug 54828) Configure FlaggedRevs for ptwiki (take 3)

https://gerrit.wikimedia.org/r/90893

This is now fixed per Danilo on IRC.

  • Bug 34941 has been marked as a duplicate of this bug. ***